import * as types from './mutation-types'
import {
  Cache,
  Auth
} from '@/util/auth'
import {
  login
} from '../api/common'
export const clearStore = function({
  commit,
  state
}) {
  commit(types.SET_MENUMAP, Cache.clearMenuMap())
  commit(types.SET_USERINFO, Cache.clearUserInfo())
  Auth.clearLoginInfo()
}
import {
  routeHandle
} from '../router/staticRoute'
import router from '../router'
export const saveMenuMap = function({
  commit
}, data) {
  commit(types.SET_MENUMAP, Cache.setMenuMap(data))
}

export const saveUserInfo = function({
  commit
}, data) {
  commit(types.SET_USERINFO, Cache.setUserInfo(data))
}

export const LoginByToken = function({
  commit
}, data) {
  return new Promise(async (resolve, reject) => {
    const res = await login({
      token: data
    })
    const {
      menuMap: {
        parentMenuList
      },
      token,
      userDto
    } = res.respData;
    // debugger;
    // console.log(parentMenuList[4].secondMenuList[0]);
    // parentMenuList[4].secondMenuList.splice(1,0,
    //   {
    //     isAvailable: null,
    //     isCheck: 1,
    //     isDelete: 0,
    //     keyName: "overview",
    //     menuId: 13,
    //     menuName: "建设概览",
    //     menuType: 2,
    //     parentMenuId: 18,
    //     roleId: 1,
    //     secondMenuList: null,
    //     sortId: 2,
    //     url: "/business/overview"
    //   },
    //   {
    //     isAvailable: null,
    //     isCheck: 1,
    //     isDelete: 0,
    //     keyName: "collStatis",
    //     menuId: 19,
    //     menuName: "业务协同统计",
    //     menuType: 2,
    //     parentMenuId: 18,
    //     roleId: 1,
    //     secondMenuList: null,
    //     sortId: 3,
    //     url: "/business/collStatis"
    //   },
    //   {
    //     isAvailable: null,
    //     isCheck: 1,
    //     isDelete: 0,
    //     keyName: "runStatis",
    //     menuId: 24,
    //     menuName: "业务运行统计",
    //     menuType: 2,
    //     parentMenuId: 18,
    //     roleId: 1,
    //     secondMenuList: null,
    //     sortId: 4,
    //     url: "/business/runStatis"
    //   }
    //   )
    // debugger;
    /*
		parentMenuList[4].secondMenuList.splice(1,0,{
			isAvailable: null,
			isCheck: 1,
			isDelete: 0,
			keyName: "InHosFirstAid",
			menuId:19,
			menuName: "院内急救信息",
			menuType: 2,
			parentMenuId: 18,
			roleId: 1,
			secondMenuList: null,
			sortId: 2,
			url: "/business/inhosfirstaid"
		})
		parentMenuList.forEach(function(item,index){
			console.log(index+"  menuId:"+item.menuId+"  menuType:"+item.menuType+"  parentMenuId:"+item.parentMenuId+"  sortId:"+item.sortId);
			(Array.isArray(item.secondMenuList)?(item.secondMenuList):[]).forEach(function(lik,i){
				console.log("       "+index+'-'+i+"menuId:"+lik.menuId+"  menuType:"+lik.menuType+"  parentMenuId:"+lik.parentMenuId+"  sortId:"+lik.sortId)
			})
		})
	
	*/
    if (res.msg === 201 && parentMenuList && parentMenuList.length > 0) {
      await commit(types.SET_MENUMAP, Cache.setMenuMap(parentMenuList))
      await commit(types.SET_USERINFO, Cache.setUserInfo(userDto))
      Auth.setLoginInfo(token)
      router.addRoutes(routeHandle(parentMenuList))
      resolve()
    } else {
      reject()
    }
  })
}
